Package org.eclipse.graphiti.ui.internal.fixed

# Class FixedScaledGraphics

java.lang.Object
org.eclipse.draw2d.Graphics
org.eclipse.draw2d.ScaledGraphics
org.eclipse.graphiti.ui.internal.fixed.FixedScaledGraphics

public class FixedScaledGraphics extends org.eclipse.draw2d.ScaledGraphics
This class is a subclass of ScaledGraphics, which only purpose is to fix bugs in ScaledGraphics or implement previously not implemented methods. This class does not add any Graphiti specific coding.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.ScaledGraphics

`org.eclipse.draw2d.ScaledGraphics.State`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Graphics

`LINE_CUSTOM, LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID`

## Constructor Summary

Constructors
Constructor
Description
`FixedScaledGraphics(org.eclipse.draw2d.Graphics graphics)`
Instantiates a new fixed scaled graphics.

## Method Summary

Modifier and Type
Method
Description
`void`
`clipPath(org.eclipse.swt.graphics.Path path)`
`void`
`dispose()`
`void`
`drawPath(org.eclipse.swt.graphics.Path path)`
`void`
`fillGradient(int x, int y, int w, int h, boolean vertical)`
`void`
`fillPath(org.eclipse.swt.graphics.Path path)`
`boolean`
`isDisposed()`
`void`
`rotate(float degrees)`
`void`
`setClip(org.eclipse.swt.graphics.Path path)`
`void`
`translate(float dx, float dy)`

### Methods inherited from class org.eclipse.draw2d.ScaledGraphics

`clipRect, drawArc, drawFocus, drawImage, drawImage, drawImage, drawLine, drawOval, drawPoint, drawPolygon, drawPolygon, drawPolyline, drawPolyline, drawRectangle, drawRoundRectangle, drawString, drawText, drawText, drawTextLayout, fillArc, fillOval, fillPolygon, fillPolygon, fillRectangle, fillRoundRectangle, fillString, fillText, getAbsoluteScale, getAdvanced, getAlpha, getAntialias, getBackgroundColor, getClip, getFillRule, getFont, getFontMetrics, getForegroundColor, getInterpolation, getLineAttributes, getLineCap, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, getTextAntialias, getXORMode, popState, pushState, restoreState, scale, setAdvanced, setAlpha, setAntialias, setBackgroundColor, setBackgroundPattern, setClip, setFillRule, setFont, setForegroundColor, setForegroundPattern, setInterpolation, setLineAttributes, setLineCap, setLineDash, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidth, setLineWidthFloat, setTextAntialias, setXORMode, translate`

### Methods inherited from class org.eclipse.draw2d.Graphics

`drawArc, drawFocus, drawImage, drawImage, drawImage, drawLine, drawOval, drawRectangle, drawString, drawText, drawText, drawTextLayout, fillArc, fillGradient, fillOval, fillRectangle, fillString, fillText, scale, shear, translate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedScaledGraphics

public FixedScaledGraphics(org.eclipse.draw2d.Graphics graphics)
Instantiates a new fixed scaled graphics.

Parameters:
  `graphics` - the graphics

## Method Details

### isDisposed

public boolean isDisposed()

### fillGradient

public void fillGradient(int x, int y, int w, int h, boolean vertical)

Overrides:
  `fillGradient` in class `org.eclipse.draw2d.ScaledGraphics`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.draw2d.ScaledGraphics`

### rotate

public void rotate(float degrees)

Overrides:
  `rotate` in class `org.eclipse.draw2d.ScaledGraphics`

### translate

public void translate(float dx, float dy)

Overrides:
  `translate` in class `org.eclipse.draw2d.ScaledGraphics`

### drawPath

public void drawPath(org.eclipse.swt.graphics.Path path)

Overrides:
  `drawPath` in class `org.eclipse.draw2d.ScaledGraphics`

### fillPath

public void fillPath(org.eclipse.swt.graphics.Path path)

Overrides:
  `fillPath` in class `org.eclipse.draw2d.ScaledGraphics`

### clipPath

public void clipPath(org.eclipse.swt.graphics.Path path)

Overrides:
  `clipPath` in class `org.eclipse.draw2d.ScaledGraphics`

### setClip

public void setClip(org.eclipse.swt.graphics.Path path)

Overrides:
  `setClip` in class `org.eclipse.draw2d.ScaledGraphics`